org.apache.lucene.benchmark.stats

## Class TestData

- java.lang.Object
- - org.apache.lucene.benchmark.stats.TestData

-     public class TestData
      extends java.lang.Object

  This class holds together all parameters related to a test. Single test is performed several times, and all results are averaged.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int[]` | `MAX_BUFFERED_DOCS_COUNTS`
    `static int[]` | `MERGEFACTOR_COUNTS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TestData()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.Object` | `clone()`
    `static TestData[]` | `getAll(java.io.File[] sources, Analyzer[] analyzers)` Prepare a list of benchmark data, using all possible combinations of benchmark parameters.
    `Analyzer` | `getAnalyzer()`
    `Directory` | `getDirectory()`
    `long` | `getHeap()`
    `java.lang.String` | `getId()`
    `int` | `getMaxBufferedDocs()`
    `int` | `getMergeFactor()`
    `QueryData[]` | `getQueries()`
    `java.util.Vector` | `getRunData()`
    `java.io.File` | `getSource()`
    `static TestData[]` | `getTestDataMinMaxMergeAndMaxBuffered(java.io.File[] sources, Analyzer[] analyzers)` Similar to `getAll(java.io.File[], org.apache.lucene.analysis.Analyzer[])` but only uses maxBufferedDocs of 10 and 100 and same for mergeFactor, thus reducing the number of permutations significantly.
    `boolean` | `isCompound()`
    `boolean` | `isOptimize()`
    `void` | `setAnalyzer(Analyzer analyzer)`
    `void` | `setCompound(boolean compound)`
    `void` | `setDirectory(Directory directory)`
    `void` | `setHeap(long heap)`
    `void` | `setId(java.lang.String id)`
    `void` | `setMaxBufferedDocs(int maxBufferedDocs)`
    `void` | `setMergeFactor(int mergeFactor)`
    `void` | `setOptimize(boolean optimize)`
    `void` | `setQueries(QueryData[] queries)`
    `void` | `setRunData(java.util.Vector runData)`
    `void` | `setSource(java.io.File source)`
    `java.lang.String` | `showRunData(java.lang.String prefix)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### MAX_BUFFERED_DOCS_COUNTS

          public static int[] MAX_BUFFERED_DOCS_COUNTS

    - #### MERGEFACTOR_COUNTS

          public static int[] MERGEFACTOR_COUNTS

  - ### Constructor Detail

    - #### TestData

          public TestData()

  - ### Method Detail

    - #### showRunData

          public java.lang.String showRunData(java.lang.String prefix)

    - #### getAll

          public static TestData[] getAll(java.io.File[] sources,
                                          Analyzer[] analyzers)

      Prepare a list of benchmark data, using all possible combinations of benchmark parameters.
      Parameters:
        `sources` - list of directories containing different source document collections
        `analyzers` - of analyzers to use.

    - #### getTestDataMinMaxMergeAndMaxBuffered

          public static TestData[] getTestDataMinMaxMergeAndMaxBuffered(java.io.File[] sources,
                                                                        Analyzer[] analyzers)

      Similar to `getAll(java.io.File[], org.apache.lucene.analysis.Analyzer[])` but only uses maxBufferedDocs of 10 and 100 and same for mergeFactor, thus reducing the number of permutations significantly. It also only uses compound file and optimize is always true.
      Parameters:
        `sources` -
        `analyzers` -
      Returns:
        An Array of `TestData`

    - #### clone

          protected java.lang.Object clone()

      Overrides:
        `clone` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getAnalyzer

          public Analyzer getAnalyzer()

    - #### setAnalyzer

          public void setAnalyzer(Analyzer analyzer)

    - #### isCompound

          public boolean isCompound()

    - #### setCompound

          public void setCompound(boolean compound)

    - #### getDirectory

          public Directory getDirectory()

    - #### setDirectory

          public void setDirectory(Directory directory)

    - #### getHeap

          public long getHeap()

    - #### setHeap

          public void setHeap(long heap)

    - #### getId

          public java.lang.String getId()

    - #### setId

          public void setId(java.lang.String id)

    - #### getMaxBufferedDocs

          public int getMaxBufferedDocs()

    - #### setMaxBufferedDocs

          public void setMaxBufferedDocs(int maxBufferedDocs)

    - #### getMergeFactor

          public int getMergeFactor()

    - #### setMergeFactor

          public void setMergeFactor(int mergeFactor)

    - #### isOptimize

          public boolean isOptimize()

    - #### setOptimize

          public void setOptimize(boolean optimize)

    - #### getQueries

          public QueryData[] getQueries()

    - #### setQueries

          public void setQueries(QueryData[] queries)

    - #### getRunData

          public java.util.Vector getRunData()

    - #### setRunData

          public void setRunData(java.util.Vector runData)

    - #### getSource

          public java.io.File getSource()

    - #### setSource

          public void setSource(java.io.File source)

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.